# $Revision: 1.47 $, $Date: 2004/05/07 00:35:14 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	Parser
Summary:	XML::Parser Perl module
Summary(cs):	Modul XML::Parser pro Perl
Summary(da):	Perlmodul XML::Parser
Summary(de):	XML::Parser Perl Modul
Summary(es):	Mdulo de Perl XML::Parser
Summary(fr):	Module Perl XML::Parser
Summary(it):	Modulo di Perl XML::Parser
Summary(ja):	XML::Parser Perl ⥸塼
Summary(ko):	XML::Parser  
Summary(nb):	Perlmodul XML::Parser
Summary(pl):	Modu Perla XML::Parser
Summary(pt):	Mdulo de Perl XML::Parser
Summary(pt_BR):	Mdulo Perl XML::Parser
Summary(ru):	  Perl XML::Parser
Summary(sv):	XML::Parser Perlmodul
Summary(uk):	  Perl XML::Parser
Summary(zh_CN):	XML::Parser Perl ģ
Name:		perl-XML-Parser
Version:	2.34
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	84d9e0001fe01c14867256c3fe115899
Patch0:		%{name}-paths.patch
BuildRequires:	expat-devel
BuildRequires:	perl-URI
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-libwww
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML::Parser - A Perl module for parsing XML documents.

%description -l cs
XML::Parser - Modul do Perlu pro parsovn XML dokument.

%description -l da
XML::Parser - Et perlmodul for fortolkning af XML-dokumenter.

%description -l de
XML::Parser - Ein Perl-Modul fr das Parsen von XML-Dokumenten.

%description -l es
XML::Parser - Mdulo Perl para pasear documentos XML.

%description -l fr
XML::Parser - Module Perl pour l'analyse de documents XML.

%description -l it
XML::Parser - Un modulo Perl per analizzare documenti XML.

%description -l ja
XMLɥ Ѥ perl ⥸塼 Ǥ

%description -l ko
XML::Parser - XML  Ľϴµ Ǵ  .

%description -l nb
XML::Parser - En perlmodul for parsing av XML-dokumenter.

%description -l pl
XML::Parser - modu Perla analizujcy dokumenty XML.

%description -l pt
XML::Parser - Um mdulo de Perl para analisar documentos em XML.

%description -l sv
XML::Parser - En perl-modul fr att tolka XML-dokument.

%description -l zh_CN
 XML ĵ  Perl ģ顣

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch -p0

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	EXPATLIBPATH=%{_libdir} \
	EXPATINCPATH=%{_includedir}
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
rm -f samples/*~ samples/*.orig
install samples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

gzip -9nf $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/*.xml

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/XML/Parser.pm
%{perl_vendorarch}/XML/Parser
%dir %{perl_vendorarch}/auto/XML/Parser
%dir %{perl_vendorarch}/auto/XML/Parser/Expat
%{perl_vendorarch}/auto/XML/Parser/Expat/Expat.bs
%attr(755,root,root) %{perl_vendorarch}/auto/XML/Parser/Expat/Expat.so
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-Parser.spec,v $
Revision 1.47  2004/05/07 00:35:14  ankry
- rel. 3

Revision 1.46  2004/05/06 18:21:32  ankry
- fixed perl-devel BR

Revision 1.45  2004/05/05 06:33:14  ankry
- added tests, license fix, cosmetics

Revision 1.44  2004/02/16 17:27:49  qboosh
- next part of locale names update for glibc 2.3.3: s/no/nb/ in rpm headers

Revision 1.43  2004/01/29 21:49:33  jajcus
- Release: 2

Revision 1.42  2003/12/21 12:08:28  arekm
- fix building on amd64

Revision 1.41  2003/12/11 07:53:24  trojan
- BR: chrpath is not *missing*, it's redundant

Revision 1.40  2003/12/10 16:03:04  yoshi
- Addedd missing BR: chrpath
- Tested on minimalistic *devel* free system. It builds.

Revision 1.39  2003/09/09 10:24:55  ankry
- spaces -> tab

Revision 1.38  2003/08/19 11:53:48  trojan
- fixed md5sum

Revision 1.37  2003/08/19 11:48:14  trojan
- updated to 2.34

Revision 1.36  2003/08/18 08:09:27  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.35  2003/08/02 22:13:32  grzegol
- updated to 2.33

Revision 1.34  2003/07/30 23:19:06  grzegol
- updated to 2.32

Revision 1.33  2003/05/25 11:00:57  malekith
- massive attack, adding Source-md5

Revision 1.32  2003/05/25 06:25:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.31  2003/05/07 12:01:44  trojan
- fixed installation

Revision 1.30  2003/04/11 18:59:42  radek
- BR: perl-devel; do not BR: perl

Revision 1.29  2003/03/01 22:10:36  radek
- should be ready for perl-5.8.0; release++

Revision 1.28  2003/02/24 20:31:59  radek
- use the __perl macro

Revision 1.27  2003/02/18 15:39:14  ankry
- massive attack: change CPAN URLs

Revision 1.26  2002/07/16 11:40:26  ankry
- translations, cleaning
- release 2

Revision 1.25  2002/07/10 09:02:55  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.24  2002/07/09 14:00:31  areq
- 2.31, STBR

Revision 1.23  2002/06/09 13:58:30  qboosh
- removed %%{perl_sitearch}/{,auto/}XML dirs (belong to perl now)
- new %%doc
- release 5

Revision 1.22  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.21  2002/03/03 21:10:27  marcus
- rel.4.

Revision 1.20  2002/02/22 23:29:34  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.19  2002/02/10 15:38:42  depesz
adapterized

Revision 1.18  2002/01/18 02:14:34  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2001/07/16 00:10:45  qboosh
- added %%{perl_sitearch}/{,auto/}XML dirs (no other package uses them)
- release 3

Revision 1.16  2001/04/30 16:05:28  kloczek
- added using %%{rpmcflags} macro.

Revision 1.15  2001/04/17 12:18:38  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.14  2001/04/14 18:00:11  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.13  2001/02/21 19:36:28  kloczek
- adapterized.

Revision 1.12  2001/02/12 11:41:51  depesz
- new version (ready for rebuild)
- added dependancy on expat

Revision 1.11  2001/01/26 02:41:52  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.10  2000/08/10 11:07:22  kloczek
- updated to 2.29.

Revision 1.9  2000/06/09 07:23:45  kloczek
- added using %%{__make} macro.

Revision 1.8  2000/05/23 18:05:26  kloczek
- spec adapterized.

Revision 1.7  2000/04/01 11:15:34  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.6  2000/03/28 16:55:03  baggins
- translated kloczkish into english

Revision 1.5  1999/12/06 18:32:53  pius
- more BuildRequires rules

Revision 1.4  1999/12/06 14:23:12  pius
- updated to 2.27
- BuildRequires: rpm-perlprov >= 3.0.3-21

Revision 1.3  1999/11/07 09:17:09  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/10/27 20:45:35  pius
- added '%%include /usr/lib/rpm/macros.perl'
- BuildRequires: rpm-perlprov, perl >= 5.005_03-12
- comsetics

Revision 1.1  1999/10/20 19:46:50  pius
- initial release

